{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To get a listing of all records configured for a domain, send a GET request to `/v2/domains/$DOMAIN_NAME/records`.\nThe list of records returned can be filtered by using the `name` and `type` query parameters. For example, to only include A records for a domain, send a GET request to `/v2/domains/$DOMAIN_NAME/records?type=A`. `name` must be a fully qualified record name. For example, to only include records matching `sub.example.com`, send a GET request to `/v2/domains/$DOMAIN_NAME/records?name=sub.example.com`. Both name and type may be used together.\n\n","properties":{"path":{"type":"object","properties":{"domain_name":{"type":"string","examples":["example.com"],"description":"The name of the domain itself."}},"required":["domain_name"],"additionalProperties":false},"query":{"type":"object","properties":{"name":{"type":"string","examples":["sub.example.com"],"description":"A fully qualified record name. For example, to only include records matching sub.example.com, send a GET request to `/v2/domains/$DOMAIN_NAME/records?name=sub.example.com`."},"type":{"type":"string","enum":["A","AAAA","CAA","CNAME","MX","NS","SOA","SRV","TXT"],"examples":["A"],"description":"The type of the DNS record. For example: A, CNAME, TXT, ..."},"per_page":{"type":"integer","minimum":1,"default":20,"maximum":200,"examples":[2],"description":"Number of items returned per page"},"page":{"type":"integer","minimum":1,"default":1,"examples":[1],"description":"Which 'page' of paginated results to return."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"List All Domain Records","id":"digitalocean.domains_list_records","example":{"path":{"domain_name":"example.com"}},"maxRequests":1,"summary":false}}